import * as i0 from "@angular/core";
export type TableOfContentItem = {
    id: string;
    level: number;
    text: string;
};
export declare abstract class ContentRenderer {
    render(content: string): Promise<string>;
    getContentHeadings(): Array<TableOfContentItem>;
    enhance(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentRenderer, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ContentRenderer>;
}
